hpp-corbaserver: hpp::corbaServer::core_idl::PathServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
hpp::corbaServer::core_idl::PathServant< _Base, _Storage > Class Template Reference

`#include <hpp/corbaserver/core_idl/paths.hh>`

Inheritance diagram for hpp::corbaServer::core_idl::PathServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::corbaServer::core_idl::PathServant< _Base, _Storage >:
[legend]

## Public Member Functions
| PathServant (Server *server, const Storage &s)
virtual | ~PathServant ()
size_type | outputSize ()
size_type | outputDerivativeSize ()
value_type | length ()
char * | str ()
floatSeq * | value (value_type t, CORBA::Boolean &success)
floatSeq * | derivative (value_type t, CORBA::Short order)
hpp::core_idl::Path_ptr | extract (value_type tmin, value_type tmax)
hpp::core_idl::PathVector_ptr | asVector ()
Public Member Functions inherited from hpp::corbaServer::ServantBase< core::Path, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Public Types inherited from hpp::corbaServer::ServantBase< core::Path, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t
Protected Member Functions inherited from hpp::corbaServer::ServantBase< core::Path, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< core::Path, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Constructor & Destructor Documentation

## ◆ PathServant()

template<typename _Base , typename _Storage >

hpp::corbaServer::core_idl::PathServant< _Base, _Storage >::PathServant | ( | Server * | server,
|  | const Storage & | s
| ) |  |
| inline

## ◆ ~PathServant()

template<typename _Base , typename _Storage >

virtual hpp::corbaServer::core_idl::PathServant< _Base, _Storage >::~PathServant | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ asVector()

template<typename _Base , typename _Storage >

hpp::core_idl::PathVector_ptr hpp::corbaServer::core_idl::PathServant< _Base, _Storage >::asVector

## ◆ derivative()

template<typename _Base , typename _Storage >

floatSeq* hpp::corbaServer::core_idl::PathServant< _Base, _Storage >::derivative | ( | value_type | t,
|  | CORBA::Short | order
| ) |  |
| inline

## ◆ extract()

template<typename _Base , typename _Storage >

hpp::core_idl::Path_ptr hpp::corbaServer::core_idl::PathServant< _Base, _Storage >::extract | ( | value_type | tmin,
|  | value_type | tmax
| ) |  |
| inline

## ◆ length()

template<typename _Base , typename _Storage >

value_type hpp::corbaServer::core_idl::PathServant< _Base, _Storage >::length | ( |  | ) |
| inline

## ◆ outputDerivativeSize()

template<typename _Base , typename _Storage >

size_type hpp::corbaServer::core_idl::PathServant< _Base, _Storage >::outputDerivativeSize | ( |  | ) |
| inline

## ◆ outputSize()

template<typename _Base , typename _Storage >

size_type hpp::corbaServer::core_idl::PathServant< _Base, _Storage >::outputSize | ( |  | ) |
| inline

## ◆ str()

template<typename _Base , typename _Storage >

char* hpp::corbaServer::core_idl::PathServant< _Base, _Storage >::str | ( |  | ) |
| inline

## ◆ value()

template<typename _Base , typename _Storage >

floatSeq* hpp::corbaServer::core_idl::PathServant< _Base, _Storage >::value | ( | value_type | t,
|  | CORBA::Boolean & | success
| ) |  |
| inline

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/core_idl/paths.hh